## ros-iron-fuse-models 1.0.1

=== benchmark/CMakeLists.txt ===
# Benchmarks
find_package(benchmark QUIET)

if(benchmark_FOUND)
  add_executable(benchmark_unicycle_2d_state_cost_function
    benchmark_unicycle_2d_state_cost_function.cpp
  )
  if(TARGET benchmark_unicycle_2d_state_cost_function)
    target_link_libraries(
      benchmark_unicycle_2d_state_cost_function
      benchmark
      Ceres::ceres
      ${PROJECT_NAME}
    )
    set_target_properties(benchmark_unicycle_2d_state_cost_function
      PROPERTIES
        CXX_STANDARD 17
        CXX_STANDARD_REQUIRED YES
    )
  endif()
endif()

=== debian/changelog ===
ros-iron-fuse-models (1.0.1-3jammy) jammy; urgency=high



 -- Tom Moore <tmoore@locusrobotics.com>  Thu, 02 Mar 2023 16:00:00 -0000

ros-iron-fuse-models (1.0.0-3jammy) jammy; urgency=high

  * Use upstream rclcpp::node_interfaces::NodeInterfaces (#313 <https://github.com/locusrobotics/fuse/issues/313>)
    * Use upstream rclcpp::node_interfaces::NodeInterfaces
    * Dereference node arguments to NodeInterfaces
    ---------
    Co-authored-by: methylDragon <methylDragon@gmail.com>
  * fuse -> ROS 2 fuse_models: Linting (#315 <https://github.com/locusrobotics/fuse/issues/315>)
  * Use getParameterName and namespace parameters for publishers (#314 <https://github.com/locusrobotics/fuse/issues/314>)
  * Use rclcpp::Clock::wait_until_started (#303 <https://github.com/locusrobotics/fuse/issues/303>)
  * fuse -> ROS 2 : Doc Generation (#278 <https://github.com/locusrobotics/fuse/issues/278>)
    * Port doc generation and fix package.xml for linting
    * Fix small bugs in package.xml
    * Use default rosdoc2 settings
    * Use default rosdoc2 settings
    * Update fuse_doc for rosdoc2
    ---------
    Co-authored-by: Shane Loretz <mailto:sloretz@google.com>
  * fuse -> ROS 2 fuse_optimizers: Port fuse_optimizers (#307 <https://github.com/locusrobotics/fuse/issues/307>)
    Co-authored-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
    Co-authored-by: Shane Loretz <mailto:shane.loretz@gmail.com>
  * fuse -> ROS 2 fuse_models: Port fuse_models (#304 <https://github.com/locusrobotics/fuse/issues/304>)
    * Port messages
    * Port fuse_models
    * Fix alloc error and some bugs
    * Wait on result
  * fuse -> ROS 2 fuse_publishers : Linting (#305 <https://github.com/locusrobotics/fuse/issues/305>)
  * fuse -> ROS 2 fuse_publishers: Port fuse_publishers (#299 <https://github.com/locusrobotics/fuse/issues/299>)
    Co-authored-by: Shane Loretz <mailto:shane.loretz@gmail.com>
  * fuse -> ROS 2 fuse_constraints : Linting (#298 <https://github.com/locusrobotics/fuse/issues/298>)
  * fuse -> ROS 2 fuse_graphs: Linting (#297 <https://github.com/locusrobotics/fuse/issues/297>)
  * fuse -> ROS 2 fuse_variables: Linting (#296 <https://github.com/locusrobotics/fuse/issues/296>)
    * Migrate to .hpp files
    * Create redirection headers
    * Make xmllint and uncrustify happy
    * Wrap most comment lines
    * Satisfy cpplint
  * fuse -> ROS 2 fuse_loss: Port fuse_loss (#287 <https://github.com/locusrobotics/fuse/issues/287>)
  * fuse -> ROS 2 fuse_core: Linting (#292 <https://github.com/locusrobotics/fuse/issues/292>)
  * fuse -> ROS 2 fuse_core : Parameters and Tests (#286 <https://github.com/locusrobotics/fuse/issues/286>)
    Co-authored-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
    Co-authored-by: Ivor Wanders <mailto:ivor@iwanders.net>
  * fuse -> ROS 2 : Port Time (#283 <https://github.com/locusrobotics/fuse/issues/283>)
  * fuse -> ROS 2 : Port Logging (#279 <https://github.com/locusrobotics/fuse/issues/279>)
    Co-authored-by: Tom Moore <mailto:tmoore@locusrobotics.com>
  * Fuse -> ROS 2 fuse_core: Partial port of fuse_core (#281 <https://github.com/locusrobotics/fuse/issues/281>)
    Co-authored-by: Brett Downing
  * fuse -> ROS 2: Clean up macro usage warnings (#280 <https://github.com/locusrobotics/fuse/issues/280>)
  * fuse -> ROS 2 fuse_msgs : Port package and ignore unported packages for now (#277 <https://github.com/locusrobotics/fuse/issues/277>)
    Co-authored-by: Tom Moore <mailto:tmoore@locusrobotics.com>
  * [RST-4186] Fix fuse macro names (#263 <https://github.com/locusrobotics/fuse/issues/263>)
    * Namespace all macros with the FUSE_ prefix. Mark original macros as deprecated.
    * Update all fuse objects to use the new macro names
  * Adding doxygen to all packages (#241 <https://github.com/locusrobotics/fuse/issues/241>)
  * [RST-3451] Delay some transform warnings so startup is less chatty
  * Contributors: Shane Loretz, Stephen Williams, Tom Moore, methylDragon

 -- Tom Moore <tmoore@locusrobotics.com>  Thu, 02 Mar 2023 16:00:00 -0000

ros-iron-fuse-models (0.4.2-3jammy) jammy; urgency=high

  * Adding roslint dependency to fuse_viz (#231 <https://github.com/locusrobotics/fuse/issues/231>)
    * Adding roslint dependency to fuse_viz
    * Silence CMP0048 warnings
  * Contributors: Tom Moore

 -- Tom Moore <tmoore@locusrobotics.com>  Mon, 19 Jul 2021 16:00:00 -0000

ros-iron-fuse-models (0.4.1-3jammy) jammy; urgency=high

  * Getting versions in sync
  * Substract minimum twist covariance from twist covariance (#222 <https://github.com/locusrobotics/fuse/issues/222>)
    * Substract min twist cov from twist cov
    If the twist covariance already had a minimum twist covariance added to
    it to prevent ill-conditioned covariance matrices, we need a way to
    substract that minimum twist covariance from it before we compute the
    pose relative covariance. Otherwise, we cannot get the original pose
    relative covariance because the minimum twist covariance term is
    multiplies by the time delta, which could actually make the resulting
    pose relative covariance ill-conditioned or very small, i.e.
    overconfident.
  * [Issue #223 <https://github.com/locusrobotics/fuse/issues/223>] Add an optional tf_timeout parameter to the sensor models (#224 <https://github.com/locusrobotics/fuse/issues/224>)
  * Factorize differential mode processing (#219 <https://github.com/locusrobotics/fuse/issues/219>)
    * Factorize differential mode processing
    * Throttle log message when transform message fails
  * Target frame optional (#217 <https://github.com/locusrobotics/fuse/issues/217>)
    * Make target_frame optional
    * Remove optional target_frame parameters in tests
  * Transform message in differential mode (#216 <https://github.com/locusrobotics/fuse/issues/216>)
    * Transform message in differential mode
    This is important because the relative transformation is not the same if
    the sensor and target frame are different.


=== debian/control ===
Source: ros-iron-fuse-models
Section: misc
Priority: optional
Maintainer: Tom Moore <tmoore@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libbenchmark-dev <!nocheck>, libboost-all-dev, libceres-dev, libeigen3-dev, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-fuse-constraints, ros-iron-fuse-core, ros-iron-fuse-graphs, ros-iron-fuse-msgs, ros-iron-fuse-publishers, ros-iron-fuse-variables, ros-iron-geometry-msgs, ros-iron-nav-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-srvs, ros-iron-tf2, ros-iron-tf2-2d, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-fuse-models
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libceres-dev, libeigen3-dev, ros-iron-fuse-constraints, ros-iron-fuse-core, ros-iron-fuse-graphs, ros-iron-fuse-msgs, ros-iron-fuse-publishers, ros-iron-fuse-variables, ros-iron-geometry-msgs, ros-iron-nav-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-srvs, ros-iron-tf2, ros-iron-tf2-2d, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Description: fuse plugins that implement various kinematic and sensor models

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-fuse-models//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
